Compare commits

...

75 Commits

Author SHA1 Message Date
Simon L.
cbe0a89676 increase to 9.0.1
Signed-off-by: Simon L <szaimen@e.mail.de>
2024-06-11 10:50:29 +02:00
Simon L
3d41d79682 Merge pull request #4807 from nextcloud/enh/4806/improve-appstorage
nextcloud: improve getting values for APPSTORAGE
2024-06-11 10:40:55 +02:00
Simon L
7c97d66579 address review
Signed-off-by: Simon L <szaimen@e.mail.de>

Co-authored-by: Josh <josh.t.richards@gmail.com>
Signed-off-by: Simon L. <szaimen@e.mail.de>
2024-06-11 10:38:38 +02:00
Simon L
978ac21314 Merge pull request #4809 from nextcloud/dependabot/docker/Containers/talk-recording/python-3.12.4-alpine3.19
Bump python from 3.12.3-alpine3.19 to 3.12.4-alpine3.19 in /Containers/talk-recording
2024-06-10 14:50:30 +02:00
dependabot[bot]
7f9e85254e Bump python in /Containers/talk-recording
Bumps python from 3.12.3-alpine3.19 to 3.12.4-alpine3.19.

---
updated-dependencies:
- dependency-name: python
  dependency-type: direct:production
  update-type: version-update:semver-patch
...

Signed-off-by: dependabot[bot] <support@github.com>
2024-06-10 12:44:30 +00:00
Simon L
a127687e2b Merge pull request #4808 from nextcloud/aio-yaml-update
Yaml updates
2024-06-10 14:04:43 +02:00
szaimen
084d9a86fe Yaml updates
Signed-off-by: github-actions[bot] <41898282+github-actions[bot]@users.noreply.github.com>
2024-06-10 12:03:32 +00:00
Simon L
80cf17b5a2 Merge pull request #4789 from nextcloud/enh/noid/fix-getting-ip-address
fix getting ip-address of talk and apache
2024-06-10 10:42:50 +02:00
Simon L.
335026ce76 fix SC
Signed-off-by: Simon L <szaimen@e.mail.de>
2024-06-10 10:38:59 +02:00
Simon L
573fe2c138 Merge pull request #4802 from nextcloud/aio-dependency-update
PHP dependency updates
2024-06-10 10:31:56 +02:00
Simon L
ef6e7d274d Merge pull request #4799 from ArmanTheParman/patch-1
readme: improve grammar
2024-06-10 10:30:44 +02:00
Simon L
ece7d5c90d Merge pull request #4788 from nextcloud/dependabot/docker/Containers/nextcloud/php-8.2.20-fpm-alpine3.19
Bump php from 8.2.19-fpm-alpine3.19 to 8.2.20-fpm-alpine3.19 in /Containers/nextcloud
2024-06-10 10:29:39 +02:00
Simon L
70daecb8a9 Merge pull request #4787 from nextcloud/dependabot/docker/Containers/mastercontainer/php-8.3.8-fpm-alpine3.19
Bump php from 8.3.7-fpm-alpine3.19 to 8.3.8-fpm-alpine3.19 in /Containers/mastercontainer
2024-06-10 10:29:18 +02:00
Simon L
f5897daaa9 Merge pull request #4786 from nextcloud/dependabot/docker/Containers/collabora/collabora/code-24.04.4.1.1
Bump collabora/code from 24.04.3.1.1 to 24.04.4.1.1 in /Containers/collabora
2024-06-10 10:29:06 +02:00
Simon L.
7bdd51554a nextcloud: improve getting values for APPSTORAGE
Signed-off-by: Simon L <szaimen@e.mail.de>
2024-06-10 10:24:30 +02:00
szaimen
20d8976f1a php dependency updates
Signed-off-by: github-actions[bot] <41898282+github-actions[bot]@users.noreply.github.com>
2024-06-09 12:02:38 +00:00
Arman The Parman
39e0e4e2b2 Update readme.md
Grammar improvements x2

Signed-off-by: Arman The Parman <77603167+ArmanTheParman@users.noreply.github.com>
2024-06-09 12:47:09 +10:00
Simon L.
5b49ec6da2 fix getting ip-address of talk and apache
Signed-off-by: Simon L <szaimen@e.mail.de>
2024-06-07 15:17:27 +02:00
dependabot[bot]
8eca2e3965 Bump php in /Containers/nextcloud
Bumps php from 8.2.19-fpm-alpine3.19 to 8.2.20-fpm-alpine3.19.

---
updated-dependencies:
- dependency-name: php
  dependency-type: direct:production
  update-type: version-update:semver-patch
...

Signed-off-by: dependabot[bot] <support@github.com>
2024-06-07 12:59:15 +00:00
dependabot[bot]
0fcaab829a Bump php in /Containers/mastercontainer
Bumps php from 8.3.7-fpm-alpine3.19 to 8.3.8-fpm-alpine3.19.

---
updated-dependencies:
- dependency-name: php
  dependency-type: direct:production
  update-type: version-update:semver-patch
...

Signed-off-by: dependabot[bot] <support@github.com>
2024-06-07 12:51:19 +00:00
dependabot[bot]
8c8f5da875 Bump collabora/code in /Containers/collabora
Bumps collabora/code from 24.04.3.1.1 to 24.04.4.1.1.

---
updated-dependencies:
- dependency-name: collabora/code
  dependency-type: direct:production
...

Signed-off-by: dependabot[bot] <support@github.com>
2024-06-07 12:13:00 +00:00
Simon L.
87cc69ccd8 facerecognition: remove warning about RAM again
Signed-off-by: Simon L <szaimen@e.mail.de>
2024-06-07 11:14:58 +02:00
Simon L.
b67f3722fc caddy: adjust docs
Signed-off-by: Simon L <szaimen@e.mail.de>
2024-06-07 11:12:49 +02:00
Simon L
8f17edb25c Merge pull request #4783 from nextcloud/enh/noid/add-daily-backup-note
aio interface: add hint what to do if daily backup gets stuck
2024-06-07 10:10:59 +02:00
Simon L.
df11865bef aio interface: add hint what to do if daily backup gets stuck
Signed-off-by: Simon L <szaimen@e.mail.de>
2024-06-07 10:08:08 +02:00
Simon L
146521b28d Merge pull request #4776 from nextcloud/imaginary-container-update
Imaginary update
2024-06-06 22:09:44 +02:00
Simon L
0f2bd8a961 Merge pull request #4778 from nextcloud/dependabot/docker/Containers/fulltextsearch/elasticsearch-8.14.0
Bump elasticsearch from 8.13.4 to 8.14.0 in /Containers/fulltextsearch
2024-06-06 21:33:38 +02:00
Simon L
7c180e0dbf Merge pull request #4777 from nextcloud/dependabot/docker/Containers/mastercontainer/docker-26.1.4-cli
Bump docker from 26.1.3-cli to 26.1.4-cli in /Containers/mastercontainer
2024-06-06 21:32:56 +02:00
Simon L
360f80cb71 Merge pull request #4753 from nextcloud/stalwart-patch-1
Update add admin token
2024-06-06 21:31:55 +02:00
Simon L
283ed01a9f Merge pull request #4779 from nextcloud/enh/noid/disable-talk-healtch-check
talk: disable specific health check because it is not going to work o…
2024-06-06 20:27:28 +02:00
Jean-Yves
439f3ca43d Rename env to STALWART_USER_PASS and add doc
Signed-off-by: Jean-Yves <7360784+docjyJ@users.noreply.github.com>
2024-06-06 17:42:28 +02:00
Simon L.
42ddfb099d fix detail
Signed-off-by: Simon L <szaimen@e.mail.de>
2024-06-06 15:23:41 +02:00
Simon L.
3eef585cd3 add a note to the readme about update notifications
Signed-off-by: Simon L <szaimen@e.mail.de>
2024-06-06 15:22:18 +02:00
Simon L.
c51edb1bf4 adjust note regarding updating containers
Signed-off-by: Simon L <szaimen@e.mail.de>
2024-06-06 15:12:27 +02:00
Simon L.
d83195f2f1 talk: disable specific health check because it is not going to work on some specific setups
Signed-off-by: Simon L <szaimen@e.mail.de>
2024-06-06 15:02:33 +02:00
dependabot[bot]
016b8b4464 Bump elasticsearch from 8.13.4 to 8.14.0 in /Containers/fulltextsearch
Bumps elasticsearch from 8.13.4 to 8.14.0.

---
updated-dependencies:
- dependency-name: elasticsearch
  dependency-type: direct:production
  update-type: version-update:semver-minor
...

Signed-off-by: dependabot[bot] <support@github.com>
2024-06-06 12:52:22 +00:00
dependabot[bot]
01c6157d1a Bump docker from 26.1.3-cli to 26.1.4-cli in /Containers/mastercontainer
Bumps docker from 26.1.3-cli to 26.1.4-cli.

---
updated-dependencies:
- dependency-name: docker
  dependency-type: direct:production
  update-type: version-update:semver-patch
...

Signed-off-by: dependabot[bot] <support@github.com>
2024-06-06 12:18:31 +00:00
szaimen
c78198620e imaginary-update automated change
Signed-off-by: github-actions[bot] <41898282+github-actions[bot]@users.noreply.github.com>
2024-06-06 12:02:40 +00:00
Simon L
8e75909689 Merge pull request #4774 from nextcloud/enh/noid/fix-caddy-rewriting
caddy: fix rewriting .well-known to remote.php
2024-06-06 12:50:40 +02:00
Simon L.
9d802f0323 caddy: fix rewriting .well-known to remote.php
Signed-off-by: Simon L <szaimen@e.mail.de>
2024-06-06 12:43:50 +02:00
Simon L.
f6d59d41d0 increase to 9.0.0
Signed-off-by: Simon L <szaimen@e.mail.de>
2024-06-06 12:02:30 +02:00
Simon L
518289047e Merge pull request #4773 from nextcloud/enh/4564/increase-nc-version
nextcloud: increase to 29.0.2
2024-06-06 12:01:41 +02:00
Simon L
5216a6aefa Merge pull request #4772 from nextcloud/enh/3573/update-to-16
postgres: update to 16
2024-06-06 12:01:29 +02:00
Simon L
8a6fed5ce3 Merge pull request #4771 from nextcloud/enh/4564/hide-update-notice
aio-interface: hide upgrade notice
2024-06-06 12:01:18 +02:00
Simon L
34665be741 Merge pull request #4770 from nextcloud/enh/noid/increase-app-version
aio-app: increase version
2024-06-06 12:01:08 +02:00
Simon L.
695b5a80e8 nextcloud: increase to 29.0.2
Signed-off-by: Simon L <szaimen@e.mail.de>
2024-06-06 11:59:18 +02:00
Simon L.
a9f2f318a1 postgres: update to 16
Signed-off-by: Simon L <szaimen@e.mail.de>
2024-06-06 11:57:08 +02:00
Simon L.
eca9defdcf aio-interface: hide upgrade notice
Signed-off-by: Simon L <szaimen@e.mail.de>
2024-06-06 11:54:52 +02:00
Simon L.
b9ec25aca5 aio-app: increase version
Signed-off-by: Simon L <szaimen@e.mail.de>
2024-06-06 11:51:18 +02:00
Simon L
6f52c02bb9 Merge pull request #4769 from nextcloud/enh/noid/increase-default_socket_timeout
nextcloud: increase the default_socket_timeout
2024-06-06 11:43:46 +02:00
Simon L.
0230e0134f nextcloud: increase the default_socket_timeout
Signed-off-by: Simon L <szaimen@e.mail.de>
2024-06-06 11:09:08 +02:00
Simon L
813cfc2bf8 Merge pull request #4724 from nextcloud/enh/noid/localhost
use `127.0.0.1` instead of `localhost`
2024-06-06 10:27:07 +02:00
Simon L
59da067ff1 Merge pull request #4742 from nextcloud/enh/noid/facerecognition-model
facerecognition: change to FACE_MODEL=3 and adjust memory values
2024-06-06 10:26:29 +02:00
Simon L
77694bf260 Merge pull request #4755 from nextcloud/revert/2601/due-too-many-failures
revert "set NEXTCLOUD_MOUNT to rshared #2601"
2024-06-06 10:25:06 +02:00
Simon L
45bf0384f9 Merge pull request #4758 from nextcloud/dependabot/docker/Containers/clamav/clamav/clamav-1.3.1-54
Bump clamav/clamav from 1.3.1-53 to 1.3.1-54 in /Containers/clamav
2024-06-06 10:23:47 +02:00
Simon L
6eb6f6eec6 Merge pull request #4766 from nextcloud/dependabot/docker/Containers/apache/caddy-2.8.4-alpine
Bump caddy from 2.7.6-alpine to 2.8.4-alpine in /Containers/apache
2024-06-06 10:23:33 +02:00
Simon L
912c46b84a Merge pull request #4765 from nextcloud/dependabot/docker/Containers/mastercontainer/caddy-2.8.4-alpine
Bump caddy from 2.7.6-alpine to 2.8.4-alpine in /Containers/mastercontainer
2024-06-06 10:23:07 +02:00
Simon L
f686d32364 Merge pull request #4767 from nextcloud/aio-helm-update
Helm Chart updates
2024-06-06 10:02:13 +02:00
szaimen
e41d8b824c Helm Chart updates
Signed-off-by: github-actions[bot] <41898282+github-actions[bot]@users.noreply.github.com>
2024-06-06 08:00:47 +00:00
Simon L
755c81c30a Merge pull request #4669 from nextcloud/aio-yaml-update
Yaml updates
2024-06-06 09:58:51 +02:00
dependabot[bot]
c087be299e Bump caddy from 2.7.6-alpine to 2.8.4-alpine in /Containers/apache
Bumps caddy from 2.7.6-alpine to 2.8.4-alpine.

---
updated-dependencies:
- dependency-name: caddy
  dependency-type: direct:production
  update-type: version-update:semver-minor
...

Signed-off-by: dependabot[bot] <support@github.com>
2024-06-05 12:58:21 +00:00
dependabot[bot]
5f70b352e0 Bump caddy in /Containers/mastercontainer
Bumps caddy from 2.7.6-alpine to 2.8.4-alpine.

---
updated-dependencies:
- dependency-name: caddy
  dependency-type: direct:production
  update-type: version-update:semver-minor
...

Signed-off-by: dependabot[bot] <support@github.com>
2024-06-05 12:24:11 +00:00
dependabot[bot]
c97ef0963d Bump clamav/clamav from 1.3.1-53 to 1.3.1-54 in /Containers/clamav
Bumps clamav/clamav from 1.3.1-53 to 1.3.1-54.

---
updated-dependencies:
- dependency-name: clamav/clamav
  dependency-type: direct:production
  update-type: version-update:semver-patch
...

Signed-off-by: dependabot[bot] <support@github.com>
2024-06-03 12:18:11 +00:00
Simon L.
9387c1cddb revert "set NEXTCLOUD_MOUNT to rshared #2601"
as it causes too many problems.

Signed-off-by: Simon L <szaimen@e.mail.de>
2024-06-03 10:58:58 +02:00
Jean-Yves
e1866b404c Update add admin token
Signed-off-by: Jean-Yves <7360784+docjyJ@users.noreply.github.com>
2024-06-02 22:25:33 +02:00
szaimen
03912efe0c Yaml updates
Signed-off-by: github-actions[bot] <41898282+github-actions[bot]@users.noreply.github.com>
2024-06-01 12:02:25 +00:00
Simon L.
ed339d5101 adjust the memory values
Signed-off-by: Simon L <szaimen@e.mail.de>
2024-05-31 16:38:01 +02:00
Simon L
d6580b30ce Merge pull request #4741 from nextcloud/update-caddy-docs-stalwart
Fix record type for caddy-stalwart
2024-05-31 15:33:20 +02:00
Simon L
9915281b74 also add hint about AAAA
Signed-off-by: Simon L <szaimen@e.mail.de>

Signed-off-by: Simon L. <szaimen@e.mail.de>
2024-05-31 15:32:04 +02:00
Marco
d23984885d Update readme.md
Signed-off-by: Marco <marcoambrosini@proton.me>
2024-05-31 15:30:34 +02:00
Simon L.
ff5593f8ca facerecognition: change to FACE_MODEL=3
Signed-off-by: Simon L <szaimen@e.mail.de>
2024-05-31 15:28:24 +02:00
Marco Ambrosini
f934c7f8a0 Fix record type for caddy-stalwart
Signed-off-by: Marco Ambrosini <marcoambrosini@proton.me>
2024-05-31 15:15:34 +02:00
Simon L.
b1d24962c2 adjust size requirements for local-ai
Signed-off-by: Simon L <szaimen@e.mail.de>
2024-05-31 13:42:53 +02:00
Simon L.
33a80bad60 add warning note to facerecognition
Signed-off-by: Simon L <szaimen@e.mail.de>
2024-05-31 11:48:47 +02:00
Simon L.
414716e279 use 127.0.0.1 instead of localhost
Signed-off-by: Simon L <szaimen@e.mail.de>
2024-05-28 17:24:28 +02:00
62 changed files with 175 additions and 162 deletions

View File

@@ -53,11 +53,11 @@ https://{$ADDITIONAL_TRUSTED_DOMAIN}:443,
# Nextcloud
route {
rewrite /.well-known/carddav /remote.php/dav/
rewrite /.well-known/caldav /remote.php/dav/
header Strict-Transport-Security max-age=31536000;
reverse_proxy localhost:8000
reverse_proxy 127.0.0.1:8000
}
redir /.well-known/carddav /remote.php/dav/ 301
redir /.well-known/caldav /remote.php/dav/ 301
# TLS options
tls {

View File

@@ -1,5 +1,5 @@
# syntax=docker/dockerfile:latest
FROM caddy:2.7.6-alpine as caddy
FROM caddy:2.8.4-alpine as caddy
FROM httpd:2.4.59-alpine3.19

View File

@@ -1,8 +1,8 @@
#!/bin/bash
nc -z "$NEXTCLOUD_HOST" 9000 || exit 0
nc -z localhost 8000 || exit 1
nc -z localhost "$APACHE_PORT" || exit 1
nc -z 127.0.0.1 8000 || exit 1
nc -z 127.0.0.1 "$APACHE_PORT" || exit 1
if ! nc -z "$NC_DOMAIN" 443; then
echo "Could not reach $NC_DOMAIN on port 443."
exit 1

View File

@@ -18,7 +18,8 @@ while ! nc -z "$NEXTCLOUD_HOST" 9000; do
done
# Get ipv4-address of Apache
IPv4_ADDRESS="$(dig nextcloud-aio-apache A +short +search | head -1)"
# shellcheck disable=SC2153
IPv4_ADDRESS="$(dig "$APACHE_HOST" A +short +search | head -1)"
# Bring it in CIDR notation
# shellcheck disable=SC2001
IPv4_ADDRESS="$(echo "$IPv4_ADDRESS" | sed 's|[0-9]\+$|1/32|')"

View File

@@ -1,6 +1,6 @@
# syntax=docker/dockerfile:latest
# Probably from this file: https://github.com/Cisco-Talos/clamav-docker/blob/main/clamav/1.1/alpine/Dockerfile
FROM clamav/clamav:1.3.1-53
FROM clamav/clamav:1.3.1-54
COPY clamav.conf /tmp/clamav.conf

View File

@@ -1,6 +1,6 @@
# syntax=docker/dockerfile:latest
# From a file located probably somewhere here: https://github.com/CollaboraOnline/online/tree/master/docker
FROM collabora/code:24.04.3.1.1
FROM collabora/code:24.04.4.1.1
USER root
ARG DEBIAN_FRONTEND noninteractive
@@ -17,5 +17,5 @@ RUN set -ex; \
USER 100
HEALTHCHECK CMD nc -z localhost 9980 || exit 1
HEALTHCHECK CMD nc -z 127.0.0.1 9980 || exit 1
LABEL com.centurylinklabs.watchtower.enable="false"

View File

@@ -1,4 +1,4 @@
#!/bin/bash
nc -z "$NEXTCLOUD_HOST" 9001 || exit 0
nc -z localhost 2375 || exit 1
nc -z 127.0.0.1 2375 || exit 1

View File

@@ -16,5 +16,5 @@ COPY --chmod=775 start.sh /start.sh
USER www-data
ENTRYPOINT ["/start.sh"]
HEALTHCHECK CMD nc -z localhost $APACHE_PORT || exit 1
HEALTHCHECK CMD nc -z 127.0.0.1 $APACHE_PORT || exit 1
LABEL com.centurylinklabs.watchtower.enable="false"

View File

@@ -1,6 +1,6 @@
# syntax=docker/dockerfile:latest
# Probably from here https://github.com/elastic/elasticsearch/blob/main/distribution/docker/src/docker/Dockerfile
FROM elasticsearch:8.13.4
FROM elasticsearch:8.14.0
USER root
@@ -19,5 +19,5 @@ RUN set -ex; \
USER 1000:0
HEALTHCHECK CMD nc -z localhost 9200 || exit 1
HEALTHCHECK CMD nc -z 127.0.0.1 9200 || exit 1
LABEL com.centurylinklabs.watchtower.enable="false"

View File

@@ -38,5 +38,5 @@ USER nobody
ENV MALLOC_ARENA_MAX=2
ENTRYPOINT ["/start.sh"]
HEALTHCHECK CMD nc -z localhost "$PORT" || exit 1
HEALTHCHECK CMD nc -z 127.0.0.1 "$PORT" || exit 1
LABEL com.centurylinklabs.watchtower.enable="false"

View File

@@ -16,7 +16,7 @@
}
on_demand_tls {
ask http://localhost:9876/
ask http://127.0.0.1:9876/
}
}
@@ -26,7 +26,7 @@ http://:80 {
https://:8443 {
reverse_proxy localhost:8000
reverse_proxy 127.0.0.1:8000
tls {
on_demand

View File

@@ -1,12 +1,12 @@
# syntax=docker/dockerfile:latest
# Docker CLI is a requirement
FROM docker:26.1.3-cli as docker
FROM docker:26.1.4-cli as docker
# Caddy is a requirement
FROM caddy:2.7.6-alpine as caddy
FROM caddy:2.8.4-alpine as caddy
# From https://github.com/docker-library/php/blob/master/8.3/alpine3.19/fpm/Dockerfile
FROM php:8.3.7-fpm-alpine3.19
FROM php:8.3.8-fpm-alpine3.19
EXPOSE 80
EXPOSE 8080

View File

@@ -1,10 +1,10 @@
#!/bin/bash
if [ -f "/mnt/docker-aio-config/data/configuration.json" ]; then
nc -z localhost 80 || exit 1
nc -z localhost 8000 || exit 1
nc -z localhost 8080 || exit 1
nc -z localhost 8443 || exit 1
nc -z localhost 9000 || exit 1
nc -z localhost 9876 || exit 1
nc -z 127.0.0.1 80 || exit 1
nc -z 127.0.0.1 8000 || exit 1
nc -z 127.0.0.1 8080 || exit 1
nc -z 127.0.0.1 8443 || exit 1
nc -z 127.0.0.1 9000 || exit 1
nc -z 127.0.0.1 9876 || exit 1
fi

View File

@@ -19,7 +19,7 @@ Listen 8080
# PHP match
<FilesMatch "\.php$">
SetHandler "proxy:fcgi://localhost:9000"
SetHandler "proxy:fcgi://127.0.0.1:9000"
</FilesMatch>
# Master dir
DocumentRoot /var/www/docker-aio/php/public/
@@ -41,8 +41,8 @@ Listen 8080
# Https host
<VirtualHost *:8080>
# Proxy to https
ProxyPass / http://localhost:8000/
ProxyPassReverse / http://localhost:8000/
ProxyPass / http://127.0.0.1:8000/
ProxyPassReverse / http://127.0.0.1:8000/
ProxyPreserveHost On
# SSL
SSLCertificateKeyFile /etc/apache2/certs/ssl.key

View File

@@ -1,5 +1,5 @@
# syntax=docker/dockerfile:latest
FROM php:8.2.19-fpm-alpine3.19
FROM php:8.2.20-fpm-alpine3.19
ENV PHP_MEMORY_LIMIT 512M
ENV PHP_UPLOAD_LIMIT 10G
@@ -7,7 +7,7 @@ ENV PHP_MAX_TIME 3600
ENV SOURCE_LOCATION /usr/src/nextcloud
# AIO settings start # Do not remove or change this line!
ENV NEXTCLOUD_VERSION 28.0.6
ENV NEXTCLOUD_VERSION 29.0.2
ENV AIO_TOKEN 123456
ENV AIO_URL localhost
# AIO settings end # Do not remove or change this line!
@@ -118,6 +118,7 @@ RUN set -ex; \
echo 'post_max_size=${PHP_UPLOAD_LIMIT}'; \
echo 'max_execution_time=${PHP_MAX_TIME}'; \
echo 'max_input_time=${PHP_MAX_TIME}'; \
echo 'default_socket_timeout=600'; \
} > /usr/local/etc/php/conf.d/nextcloud.ini; \
\
{ \

View File

@@ -162,8 +162,12 @@ if ! [ -f "$NEXTCLOUD_DATA_DIR/skip.update" ]; then
declare -Ag APPSTORAGE
echo "Disabling apps before the update in order to make the update procedure more safe. This can take a while..."
for app in "${NC_APPS_ARRAY[@]}"; do
APPSTORAGE[$app]=$(php /var/www/html/occ config:app:get "$app" enabled)
php /var/www/html/occ app:disable "$app"
if APPSTORAGE[$app]="$(php /var/www/html/occ config:app:get "$app" enabled)"; then
php /var/www/html/occ app:disable "$app"
else
APPSTORAGE[$app]=""
echo "Not disabling $app because the occ command to get the enabled state was failing."
fi
done
fi

View File

@@ -10,6 +10,6 @@ fi
# shellcheck disable=SC2153
nc -z "$POSTGRES_HOST" "$POSTGRES_PORT" || exit 0
if ! nc -z localhost 9000; then
if ! nc -z 127.0.0.1 9000; then
exit 1
fi

View File

@@ -4,4 +4,4 @@ if ! nc -z "$NEXTCLOUD_HOST" 9001; then
exit 0
fi
nc -z localhost 7867 || exit 1
nc -z 127.0.0.1 7867 || exit 1

View File

@@ -4,5 +4,5 @@ FROM onlyoffice/documentserver:8.0.1.1
# USER root is probably used
HEALTHCHECK CMD nc -z localhost 80 || exit 1
HEALTHCHECK CMD nc -z 127.0.0.1 80 || exit 1
LABEL com.centurylinklabs.watchtower.enable="false"

View File

@@ -1,6 +1,6 @@
# syntax=docker/dockerfile:latest
# From https://github.com/docker-library/postgres/blob/master/15/alpine/Dockerfile
FROM postgres:15.7-alpine
FROM postgres:16.3-alpine
COPY --chmod=775 start.sh /start.sh
COPY --chmod=775 healthcheck.sh /healthcheck.sh

View File

@@ -2,4 +2,4 @@
test -f "/mnt/data/backup-is-running" && exit 0
psql -d "postgresql://oc_$POSTGRES_USER:$POSTGRES_PASSWORD@localhost:5432/$POSTGRES_DB" -c "select now()" || exit 1
psql -d "postgresql://oc_$POSTGRES_USER:$POSTGRES_PASSWORD@127.0.0.1:5432/$POSTGRES_DB" -c "select now()" || exit 1

View File

@@ -85,7 +85,7 @@ if ( [ -f "$DATADIR/PG_VERSION" ] && [ "$PG_MAJOR" != "$(cat "$DATADIR/PG_VERSIO
exec docker-entrypoint.sh postgres &
# Wait for creation
while ! psql -d "postgresql://oc_$POSTGRES_USER:$POSTGRES_PASSWORD@localhost:11000/$POSTGRES_DB" -c "select now()"; do
while ! psql -d "postgresql://oc_$POSTGRES_USER:$POSTGRES_PASSWORD@127.0.0.1:11000/$POSTGRES_DB" -c "select now()"; do
echo "Waiting for the database to start."
sleep 5
done

View File

@@ -1,5 +1,5 @@
# syntax=docker/dockerfile:latest
FROM python:3.12.3-alpine3.19
FROM python:3.12.4-alpine3.19
COPY --chmod=775 start.sh /start.sh
@@ -54,5 +54,5 @@ USER recording
ENTRYPOINT ["/start.sh"]
CMD ["python", "-m", "nextcloud.talk.recording", "--config", "/conf/recording.conf"]
HEALTHCHECK CMD nc -z localhost 1234 || exit 1
HEALTHCHECK CMD nc -z 127.0.0.1 1234 || exit 1
LABEL com.centurylinklabs.watchtower.enable="false"

View File

@@ -1,11 +1,7 @@
#!/bin/bash
nc -z localhost 8081 || exit 1
nc -z localhost 8188 || exit 1
nc -z localhost 4222 || exit 1
nc -z localhost "$TALK_PORT" || exit 1
nc -z 127.0.0.1 8081 || exit 1
nc -z 127.0.0.1 8188 || exit 1
nc -z 127.0.0.1 4222 || exit 1
nc -z 127.0.0.1 "$TALK_PORT" || exit 1
eturnalctl status || exit 1
if ! nc -z "$NC_DOMAIN" "$TALK_PORT"; then
echo "Could not reach $NC_DOMAIN on port $TALK_PORT."
exit 1
fi

View File

@@ -20,8 +20,10 @@ fi
set -x
IPv4_ADDRESS_TALK_RELAY="$(hostname -i | grep -oP '[0-9]+\.[0-9]+\.[0-9]+\.[0-9]+' | head -1)"
IPv4_ADDRESS_TALK="$(dig nextcloud-aio-talk IN A +short +search | grep '^[0-9.]\+$' | sort | head -n1)"
IPv6_ADDRESS_TALK="$(dig nextcloud-aio-talk AAAA +short +search | grep '^[0-9a-f:]\+$' | sort | head -n1)"
# shellcheck disable=SC2153
IPv4_ADDRESS_TALK="$(dig "$TALK_HOST" IN A +short +search | grep '^[0-9.]\+$' | sort | head -n1)"
# shellcheck disable=SC2153
IPv6_ADDRESS_TALK="$(dig "$TALK_HOST" AAAA +short +search | grep '^[0-9a-f:]\+$' | sort | head -n1)"
set +x
if [ -n "$IPv4_ADDRESS_TALK" ] && [ "$IPv4_ADDRESS_TALK_RELAY" = "$IPv4_ADDRESS_TALK" ]; then

View File

@@ -5,7 +5,7 @@
<name>Nextcloud All-in-One</name>
<summary>Provides a login link for admins.</summary>
<description>Add a link to the admin settings that gives access to the Nextcloud All-in-One admin interface</description>
<version>0.5.0</version>
<version>0.6.0</version>
<licence>agpl</licence>
<author>Azul</author>
<namespace>AllInOne</namespace>
@@ -13,7 +13,7 @@
<category>monitoring</category>
<bugs>https://github.com/nextcloud/all-in-one/issues</bugs>
<dependencies>
<nextcloud min-version="27" max-version="28"/>
<nextcloud min-version="28" max-version="29"/>
</dependencies>
<settings>

View File

@@ -5,7 +5,9 @@ This container bundles caddy and auto-configures it for you. It also covers http
- This container is incompatible with the [npmplus](https://github.com/nextcloud/all-in-one/tree/main/community-containers/npmplus) community container. So make sure that you do not enable both at the same time!
- Make sure that no other service is using port 443 on your host as otherwise the containers will fail to start. You can check this with `sudo netstat -tulpn | grep 443` before installing AIO.
- If you want to use this with https://github.com/nextcloud/all-in-one/tree/main/community-containers/vaultwarden, make sure that you point `bw.your-nc-domain.com` to your server using a cname record so that caddy can get a certificate automatically for vaultwarden.
- If you want to use this with https://github.com/nextcloud/all-in-one/tree/main/community-containers/stalwart, make sure that you point `mail.your-nc-domain.com` to your server using a cname record so that caddy can get a certificate automatically for stalwart.
- If you want to use this with https://github.com/nextcloud/all-in-one/tree/main/community-containers/stalwart, make sure that you point `mail.your-nc-domain.com` to your server using an A, AAAA or CNAME record so that caddy can get a certificate automatically for stalwart.
- If you want to use this with https://github.com/nextcloud/all-in-one/tree/main/community-containers/jellyfin, make sure that you point `media.your-nc-domain.com` to your server using a cname record so that caddy can get a certificate automatically for vaultwarden.
- If you want to use this with https://github.com/nextcloud/all-in-one/tree/main/community-containers/lldap, make sure that you point `ldap.your-nc-domain.com` to your server using a cname record so that caddy can get a certificate automatically for vaultwarden.
- After the container was started the first time, you should see a new `nextcloud-aio-caddy` folder and inside there an `allowed-countries.txt` file when you open the files app with the default `admin` user. In there you can adjust the allowed country codes for caddy by adding them to the first line, e.g. `IT FR` would allow access from italy and france. Private ip-ranges are always allowed. Additionally, in order to activate this config, you need to get an account at https://dev.maxmind.com/geoip/geolite2-free-geolocation-data and download the `GeoLite2-Country.mmdb` and upload it with this exact name into the `nextcloud-aio-caddy` folder. Afterwards restart all containers from the AIO interface and your new config should be active!
- You can add your own Caddy configurations in `/data/caddy-imports/` inside the Caddy container (`sudo docker exec -it nextcloud-aio-caddy bash`). These will be imported on container startup.
- See https://github.com/nextcloud/all-in-one/tree/main/community-containers#community-containers how to add it to the AIO stack

View File

@@ -10,10 +10,11 @@
"restart": "unless-stopped",
"environment": [
"TZ=%TIMEZONE%",
"API_KEY=some-super-secret-api-key"
"API_KEY=some-super-secret-api-key",
"FACE_MODEL=3"
],
"aio_variables": [
"nextcloud_memory_limit=4096M"
"nextcloud_memory_limit=2048M"
],
"nextcloud_exec_commands": [
"php /var/www/html/occ app:install facerecognition",
@@ -21,7 +22,7 @@
"php /var/www/html/occ config:system:set facerecognition.external_model_url --value nextcloud-aio-facerecognition:5000",
"php /var/www/html/occ config:system:set facerecognition.external_model_api_key --value some-super-secret-api-key",
"php /var/www/html/occ face:setup -m 5",
"php /var/www/html/occ face:setup -M 4G",
"php /var/www/html/occ face:setup -M 1G",
"php /var/www/html/occ config:app:set facerecognition analysis_image_area --value 4320000",
"php /var/www/html/occ config:system:set enabledFaceRecognitionMimetype 0 --value image/jpeg",
"php /var/www/html/occ config:system:set enabledFaceRecognitionMimetype 1 --value image/png",

View File

@@ -3,7 +3,7 @@ This container bundles Local AI and auto-configures it for you.
### Notes
- This container does not work on arm64! If you add the container on arm64, it will fail to start because no image for arm64 is available!
- Make sure to have enough storage space available. This container alone needs ~14GB storage. Every model that you add to `models.yaml` will of course use additional space which adds up quite fast.
- Make sure to have enough storage space available. This container alone needs ~7GB storage. Every model that you add to `models.yaml` will of course use additional space which adds up quite fast.
- After the container was started the first time, you should see a new `nextcloud-aio-local-ai` folder when you open the files app with the default `admin` user. In there you should see a `models.yaml` config file. You can now add models in there. Please refer [here](https://github.com/go-skynet/model-gallery/blob/main/index.yaml) where you can get further urls that you can put in there. Afterwards restart all containers from the AIO interface and the models should automatically get downloaded by the local-ai container and activated.
- Example for content of `models.yaml` (if you add all of them, it takes around 10GB additional space):
```yaml

View File

@@ -15,7 +15,7 @@ This container bundles stalwart mail server and auto-configures it for you.
- You need to configure a reverse proxy in order to run this container since stalwart needs a dedicated (sub)domain! For that, you might have a look at https://github.com/nextcloud/all-in-one/tree/main/community-containers/caddy.
- Currently, only `mail.$NC_DOMAIN` is supported as subdomain! So if Nextcloud is using `your-domain.com`, Stalwart will use `mail.your-domain.com`.
- The data of Stalwart will be automatically included in AIOs backup solution!
- After adding and starting the container, you need to run `docker logs nextcloud-aio-stalwart` to obtain the system administrator account and password. With this information, you can log in to the web interface at `https://mail.your-domain.com/login`
- After adding and starting the container, you need to run `docker inspect nextcloud-aio-stalwart | grep STALWART_USER_PASS` to obtain the system administrator password (username: `admin`). With this information, you can log in to the web interface at `https://mail.your-domain.com/login`
- See https://stalw.art/docs/install/docker/ for next steps.
- Additionally, you might want to install and configure [snappymail](https://apps.nextcloud.com/apps/snappymail) or [mail](https://apps.nextcloud.com/apps/mail) inside Nextcloud in order to use your mail accounts for sending and retrieving mails.
- See https://stalw.art/docs/faq for further faq and docs on the project

View File

@@ -47,7 +47,11 @@
],
"environment": [
"TZ=%TIMEZONE%",
"NC_DOMAIN=%NC_DOMAIN%"
"NC_DOMAIN=%NC_DOMAIN%",
"STALWART_USER_PASS=%STALWART_USER_PASS%"
],
"secrets": [
"STALWART_USER_PASS"
],
"volumes": [
{

View File

@@ -24,6 +24,7 @@ services:
environment:
- NC_DOMAIN=${NC_DOMAIN}
- NEXTCLOUD_HOST=nextcloud-aio-nextcloud
- APACHE_HOST=nextcloud-aio-apache
- COLLABORA_HOST=nextcloud-aio-collabora
- TALK_HOST=nextcloud-aio-talk
- APACHE_PORT=${APACHE_PORT}
@@ -105,6 +106,7 @@ services:
- ${NEXTCLOUD_TRUSTED_CACERTS_DIR}:/usr/local/share/ca-certificates:ro
environment:
- POSTGRES_HOST=nextcloud-aio-database
- POSTGRES_PORT=5432
- POSTGRES_PASSWORD=${DATABASE_PASSWORD}
- POSTGRES_DB=nextcloud_database
- POSTGRES_USER=nextcloud
@@ -170,6 +172,7 @@ services:
- REDIS_HOST=nextcloud-aio-redis
- REDIS_HOST_PASSWORD=${REDIS_PASSWORD}
- POSTGRES_HOST=nextcloud-aio-database
- POSTGRES_PORT=5432
- POSTGRES_PASSWORD=${DATABASE_PASSWORD}
- POSTGRES_DB=nextcloud_database
- POSTGRES_USER=nextcloud
@@ -229,6 +232,7 @@ services:
- "8081"
environment:
- NC_DOMAIN=${NC_DOMAIN}
- TALK_HOST=nextcloud-aio-talk
- TURN_SECRET=${TURN_SECRET}
- SIGNALING_SECRET=${SIGNALING_SECRET}
- TZ=${TIMEZONE}

View File

@@ -1,6 +1,6 @@
name: nextcloud-aio-helm-chart
description: A generated Helm Chart for Nextcloud AIO from Skippbox Kompose
version: 8.2.1
version: 8.3.0
apiVersion: v2
keywords:
- latest

View File

@@ -3,7 +3,7 @@ kind: Deployment
metadata:
annotations:
kompose.cmd: kompose convert -c -f latest.yml --namespace "{{ .Values.NAMESPACE }}"
kompose.version: 1.33.0 (3ce457399)
kompose.version: 1.34.0 (cbf2835db)
labels:
io.kompose.service: nextcloud-aio-apache
name: nextcloud-aio-apache
@@ -19,9 +19,8 @@ spec:
metadata:
annotations:
kompose.cmd: kompose convert -c -f latest.yml --namespace "{{ .Values.NAMESPACE }}"
kompose.version: 1.33.0 (3ce457399)
kompose.version: 1.34.0 (cbf2835db)
labels:
io.kompose.network/nextcloud-aio: "true"
io.kompose.service: nextcloud-aio-apache
spec:
initContainers:
@@ -65,7 +64,7 @@ spec:
value: nextcloud-aio-talk
- name: TZ
value: "{{ .Values.TIMEZONE }}"
image: "{{ .Values.IMAGE_MIRROR_PREFIX }}{{ .Values.NEXTCLOUD_IMAGE_ORG }}/aio-apache:20240502_104630-latest"
image: "{{ .Values.IMAGE_MIRROR_PREFIX }}{{ .Values.NEXTCLOUD_IMAGE_ORG }}/aio-apache:20240606_075829-latest"
name: nextcloud-aio-apache
ports:
- containerPort: {{ .Values.APACHE_PORT }}

View File

@@ -3,7 +3,7 @@ kind: Service
metadata:
annotations:
kompose.cmd: kompose convert -c -f latest.yml --namespace "{{ .Values.NAMESPACE }}"
kompose.version: 1.33.0 (3ce457399)
kompose.version: 1.34.0 (cbf2835db)
labels:
io.kompose.service: nextcloud-aio-apache
name: nextcloud-aio-apache

View File

@@ -4,7 +4,7 @@ kind: Deployment
metadata:
annotations:
kompose.cmd: kompose convert -c -f latest.yml --namespace "{{ .Values.NAMESPACE }}"
kompose.version: 1.33.0 (3ce457399)
kompose.version: 1.34.0 (cbf2835db)
labels:
io.kompose.service: nextcloud-aio-clamav
name: nextcloud-aio-clamav
@@ -20,9 +20,8 @@ spec:
metadata:
annotations:
kompose.cmd: kompose convert -c -f latest.yml --namespace "{{ .Values.NAMESPACE }}"
kompose.version: 1.33.0 (3ce457399)
kompose.version: 1.34.0 (cbf2835db)
labels:
io.kompose.network/nextcloud-aio: "true"
io.kompose.service: nextcloud-aio-clamav
spec:
initContainers:
@@ -60,7 +59,7 @@ spec:
value: "90"
- name: TZ
value: "{{ .Values.TIMEZONE }}"
image: "{{ .Values.IMAGE_MIRROR_PREFIX }}{{ .Values.NEXTCLOUD_IMAGE_ORG }}/aio-clamav:20240502_104630-latest"
image: "{{ .Values.IMAGE_MIRROR_PREFIX }}{{ .Values.NEXTCLOUD_IMAGE_ORG }}/aio-clamav:20240606_075829-latest"
name: nextcloud-aio-clamav
ports:
- containerPort: 3310

View File

@@ -4,7 +4,7 @@ kind: Service
metadata:
annotations:
kompose.cmd: kompose convert -c -f latest.yml --namespace "{{ .Values.NAMESPACE }}"
kompose.version: 1.33.0 (3ce457399)
kompose.version: 1.34.0 (cbf2835db)
labels:
io.kompose.service: nextcloud-aio-clamav
name: nextcloud-aio-clamav

View File

@@ -4,7 +4,7 @@ kind: Deployment
metadata:
annotations:
kompose.cmd: kompose convert -c -f latest.yml --namespace "{{ .Values.NAMESPACE }}"
kompose.version: 1.33.0 (3ce457399)
kompose.version: 1.34.0 (cbf2835db)
labels:
io.kompose.service: nextcloud-aio-collabora
name: nextcloud-aio-collabora
@@ -18,9 +18,8 @@ spec:
metadata:
annotations:
kompose.cmd: kompose convert -c -f latest.yml --namespace "{{ .Values.NAMESPACE }}"
kompose.version: 1.33.0 (3ce457399)
kompose.version: 1.34.0 (cbf2835db)
labels:
io.kompose.network/nextcloud-aio: "true"
io.kompose.service: nextcloud-aio-collabora
spec:
containers:
@@ -37,7 +36,7 @@ spec:
value: --o:ssl.enable=false --o:ssl.termination=true --o:mount_jail_tree=false --o:logging.level=warning --o:home_mode.enable=true {{ .Values.COLLABORA_SECCOMP_POLICY }} --o:remote_font_config.url=https://{{ .Values.NC_DOMAIN }}/apps/richdocuments/settings/fonts.json
- name: server_name
value: "{{ .Values.NC_DOMAIN }}"
image: "{{ .Values.IMAGE_MIRROR_PREFIX }}{{ .Values.NEXTCLOUD_IMAGE_ORG }}/aio-collabora:20240502_104630-latest"
image: "{{ .Values.IMAGE_MIRROR_PREFIX }}{{ .Values.NEXTCLOUD_IMAGE_ORG }}/aio-collabora:20240606_075829-latest"
name: nextcloud-aio-collabora
ports:
- containerPort: 9980

View File

@@ -4,7 +4,7 @@ kind: Service
metadata:
annotations:
kompose.cmd: kompose convert -c -f latest.yml --namespace "{{ .Values.NAMESPACE }}"
kompose.version: 1.33.0 (3ce457399)
kompose.version: 1.34.0 (cbf2835db)
labels:
io.kompose.service: nextcloud-aio-collabora
name: nextcloud-aio-collabora

View File

@@ -3,7 +3,7 @@ kind: Deployment
metadata:
annotations:
kompose.cmd: kompose convert -c -f latest.yml --namespace "{{ .Values.NAMESPACE }}"
kompose.version: 1.33.0 (3ce457399)
kompose.version: 1.34.0 (cbf2835db)
labels:
io.kompose.service: nextcloud-aio-database
name: nextcloud-aio-database
@@ -19,9 +19,8 @@ spec:
metadata:
annotations:
kompose.cmd: kompose convert -c -f latest.yml --namespace "{{ .Values.NAMESPACE }}"
kompose.version: 1.33.0 (3ce457399)
kompose.version: 1.34.0 (cbf2835db)
labels:
io.kompose.network/nextcloud-aio: "true"
io.kompose.service: nextcloud-aio-database
spec:
initContainers:
@@ -71,7 +70,7 @@ spec:
value: nextcloud
- name: TZ
value: "{{ .Values.TIMEZONE }}"
image: "{{ .Values.IMAGE_MIRROR_PREFIX }}{{ .Values.NEXTCLOUD_IMAGE_ORG }}/aio-postgresql:20240502_104630-latest"
image: "{{ .Values.IMAGE_MIRROR_PREFIX }}{{ .Values.NEXTCLOUD_IMAGE_ORG }}/aio-postgresql:20240606_075829-latest"
name: nextcloud-aio-database
ports:
- containerPort: 5432

View File

@@ -3,7 +3,7 @@ kind: Service
metadata:
annotations:
kompose.cmd: kompose convert -c -f latest.yml --namespace "{{ .Values.NAMESPACE }}"
kompose.version: 1.33.0 (3ce457399)
kompose.version: 1.34.0 (cbf2835db)
labels:
io.kompose.service: nextcloud-aio-database
name: nextcloud-aio-database

View File

@@ -4,7 +4,7 @@ kind: Deployment
metadata:
annotations:
kompose.cmd: kompose convert -c -f latest.yml --namespace "{{ .Values.NAMESPACE }}"
kompose.version: 1.33.0 (3ce457399)
kompose.version: 1.34.0 (cbf2835db)
labels:
io.kompose.service: nextcloud-aio-fulltextsearch
name: nextcloud-aio-fulltextsearch
@@ -20,9 +20,8 @@ spec:
metadata:
annotations:
kompose.cmd: kompose convert -c -f latest.yml --namespace "{{ .Values.NAMESPACE }}"
kompose.version: 1.33.0 (3ce457399)
kompose.version: 1.34.0 (cbf2835db)
labels:
io.kompose.network/nextcloud-aio: "true"
io.kompose.service: nextcloud-aio-fulltextsearch
spec:
initContainers:
@@ -61,7 +60,7 @@ spec:
value: basic
- name: xpack.security.enabled
value: "false"
image: "{{ .Values.IMAGE_MIRROR_PREFIX }}{{ .Values.NEXTCLOUD_IMAGE_ORG }}/aio-fulltextsearch:20240502_104630-latest"
image: "{{ .Values.IMAGE_MIRROR_PREFIX }}{{ .Values.NEXTCLOUD_IMAGE_ORG }}/aio-fulltextsearch:20240606_075829-latest"
name: nextcloud-aio-fulltextsearch
ports:
- containerPort: 9200

View File

@@ -4,7 +4,7 @@ kind: Service
metadata:
annotations:
kompose.cmd: kompose convert -c -f latest.yml --namespace "{{ .Values.NAMESPACE }}"
kompose.version: 1.33.0 (3ce457399)
kompose.version: 1.34.0 (cbf2835db)
labels:
io.kompose.service: nextcloud-aio-fulltextsearch
name: nextcloud-aio-fulltextsearch

View File

@@ -4,7 +4,7 @@ kind: Deployment
metadata:
annotations:
kompose.cmd: kompose convert -c -f latest.yml --namespace "{{ .Values.NAMESPACE }}"
kompose.version: 1.33.0 (3ce457399)
kompose.version: 1.34.0 (cbf2835db)
labels:
io.kompose.service: nextcloud-aio-imaginary
name: nextcloud-aio-imaginary
@@ -18,9 +18,8 @@ spec:
metadata:
annotations:
kompose.cmd: kompose convert -c -f latest.yml --namespace "{{ .Values.NAMESPACE }}"
kompose.version: 1.33.0 (3ce457399)
kompose.version: 1.34.0 (cbf2835db)
labels:
io.kompose.network/nextcloud-aio: "true"
io.kompose.service: nextcloud-aio-imaginary
spec:
containers:
@@ -29,7 +28,7 @@ spec:
value: "{{ .Values.IMAGINARY_SECRET }}"
- name: TZ
value: "{{ .Values.TIMEZONE }}"
image: "{{ .Values.IMAGE_MIRROR_PREFIX }}{{ .Values.NEXTCLOUD_IMAGE_ORG }}/aio-imaginary:20240502_104630-latest"
image: "{{ .Values.IMAGE_MIRROR_PREFIX }}{{ .Values.NEXTCLOUD_IMAGE_ORG }}/aio-imaginary:20240606_075829-latest"
name: nextcloud-aio-imaginary
ports:
- containerPort: 9000

View File

@@ -4,7 +4,7 @@ kind: Service
metadata:
annotations:
kompose.cmd: kompose convert -c -f latest.yml --namespace "{{ .Values.NAMESPACE }}"
kompose.version: 1.33.0 (3ce457399)
kompose.version: 1.34.0 (cbf2835db)
labels:
io.kompose.service: nextcloud-aio-imaginary
name: nextcloud-aio-imaginary

View File

@@ -3,7 +3,7 @@ kind: Deployment
metadata:
annotations:
kompose.cmd: kompose convert -c -f latest.yml --namespace "{{ .Values.NAMESPACE }}"
kompose.version: 1.33.0 (3ce457399)
kompose.version: 1.34.0 (cbf2835db)
labels:
io.kompose.service: nextcloud-aio-nextcloud
name: nextcloud-aio-nextcloud
@@ -19,9 +19,8 @@ spec:
metadata:
annotations:
kompose.cmd: kompose convert -c -f latest.yml --namespace "{{ .Values.NAMESPACE }}"
kompose.version: 1.33.0 (3ce457399)
kompose.version: 1.34.0 (cbf2835db)
labels:
io.kompose.network/nextcloud-aio: "true"
io.kompose.service: nextcloud-aio-nextcloud
spec:
initContainers:
@@ -142,6 +141,8 @@ spec:
value: nextcloud-aio-database
- name: POSTGRES_PASSWORD
value: "{{ .Values.DATABASE_PASSWORD }}"
- name: POSTGRES_PORT
value: "5432"
- name: POSTGRES_USER
value: nextcloud
- name: RECORDING_SECRET
@@ -172,7 +173,7 @@ spec:
value: "{{ .Values.TIMEZONE }}"
- name: UPDATE_NEXTCLOUD_APPS
value: "{{ .Values.UPDATE_NEXTCLOUD_APPS }}"
image: "{{ .Values.IMAGE_MIRROR_PREFIX }}{{ .Values.NEXTCLOUD_IMAGE_ORG }}/aio-nextcloud:20240502_104630-latest"
image: "{{ .Values.IMAGE_MIRROR_PREFIX }}{{ .Values.NEXTCLOUD_IMAGE_ORG }}/aio-nextcloud:20240606_075829-latest"
name: nextcloud-aio-nextcloud
ports:
- containerPort: 9000

View File

@@ -3,7 +3,7 @@ kind: Service
metadata:
annotations:
kompose.cmd: kompose convert -c -f latest.yml --namespace "{{ .Values.NAMESPACE }}"
kompose.version: 1.33.0 (3ce457399)
kompose.version: 1.34.0 (cbf2835db)
labels:
io.kompose.service: nextcloud-aio-nextcloud
name: nextcloud-aio-nextcloud

View File

@@ -3,7 +3,7 @@ kind: Deployment
metadata:
annotations:
kompose.cmd: kompose convert -c -f latest.yml --namespace "{{ .Values.NAMESPACE }}"
kompose.version: 1.33.0 (3ce457399)
kompose.version: 1.34.0 (cbf2835db)
labels:
io.kompose.service: nextcloud-aio-notify-push
name: nextcloud-aio-notify-push
@@ -19,9 +19,8 @@ spec:
metadata:
annotations:
kompose.cmd: kompose convert -c -f latest.yml --namespace "{{ .Values.NAMESPACE }}"
kompose.version: 1.33.0 (3ce457399)
kompose.version: 1.34.0 (cbf2835db)
labels:
io.kompose.network/nextcloud-aio: "true"
io.kompose.service: nextcloud-aio-notify-push
spec:
initContainers:
@@ -50,13 +49,15 @@ spec:
value: nextcloud-aio-database
- name: POSTGRES_PASSWORD
value: "{{ .Values.DATABASE_PASSWORD }}"
- name: POSTGRES_PORT
value: "5432"
- name: POSTGRES_USER
value: nextcloud
- name: REDIS_HOST
value: nextcloud-aio-redis
- name: REDIS_HOST_PASSWORD
value: "{{ .Values.REDIS_PASSWORD }}"
image: "{{ .Values.IMAGE_MIRROR_PREFIX }}{{ .Values.NEXTCLOUD_IMAGE_ORG }}/aio-notify-push:20240502_104630-latest"
image: "{{ .Values.IMAGE_MIRROR_PREFIX }}{{ .Values.NEXTCLOUD_IMAGE_ORG }}/aio-notify-push:20240606_075829-latest"
name: nextcloud-aio-notify-push
ports:
- containerPort: 7867

View File

@@ -3,7 +3,7 @@ kind: Service
metadata:
annotations:
kompose.cmd: kompose convert -c -f latest.yml --namespace "{{ .Values.NAMESPACE }}"
kompose.version: 1.33.0 (3ce457399)
kompose.version: 1.34.0 (cbf2835db)
labels:
io.kompose.service: nextcloud-aio-notify-push
name: nextcloud-aio-notify-push

View File

@@ -4,7 +4,7 @@ kind: Deployment
metadata:
annotations:
kompose.cmd: kompose convert -c -f latest.yml --namespace "{{ .Values.NAMESPACE }}"
kompose.version: 1.33.0 (3ce457399)
kompose.version: 1.34.0 (cbf2835db)
labels:
io.kompose.service: nextcloud-aio-onlyoffice
name: nextcloud-aio-onlyoffice
@@ -20,9 +20,8 @@ spec:
metadata:
annotations:
kompose.cmd: kompose convert -c -f latest.yml --namespace "{{ .Values.NAMESPACE }}"
kompose.version: 1.33.0 (3ce457399)
kompose.version: 1.34.0 (cbf2835db)
labels:
io.kompose.network/nextcloud-aio: "true"
io.kompose.service: nextcloud-aio-onlyoffice
spec:
initContainers:
@@ -49,7 +48,7 @@ spec:
value: "{{ .Values.ONLYOFFICE_SECRET }}"
- name: TZ
value: "{{ .Values.TIMEZONE }}"
image: "{{ .Values.IMAGE_MIRROR_PREFIX }}{{ .Values.NEXTCLOUD_IMAGE_ORG }}/aio-onlyoffice:20240502_104630-latest"
image: "{{ .Values.IMAGE_MIRROR_PREFIX }}{{ .Values.NEXTCLOUD_IMAGE_ORG }}/aio-onlyoffice:20240606_075829-latest"
name: nextcloud-aio-onlyoffice
ports:
- containerPort: 80

View File

@@ -4,7 +4,7 @@ kind: Service
metadata:
annotations:
kompose.cmd: kompose convert -c -f latest.yml --namespace "{{ .Values.NAMESPACE }}"
kompose.version: 1.33.0 (3ce457399)
kompose.version: 1.34.0 (cbf2835db)
labels:
io.kompose.service: nextcloud-aio-onlyoffice
name: nextcloud-aio-onlyoffice

View File

@@ -3,7 +3,7 @@ kind: Deployment
metadata:
annotations:
kompose.cmd: kompose convert -c -f latest.yml --namespace "{{ .Values.NAMESPACE }}"
kompose.version: 1.33.0 (3ce457399)
kompose.version: 1.34.0 (cbf2835db)
labels:
io.kompose.service: nextcloud-aio-redis
name: nextcloud-aio-redis
@@ -19,9 +19,8 @@ spec:
metadata:
annotations:
kompose.cmd: kompose convert -c -f latest.yml --namespace "{{ .Values.NAMESPACE }}"
kompose.version: 1.33.0 (3ce457399)
kompose.version: 1.34.0 (cbf2835db)
labels:
io.kompose.network/nextcloud-aio: "true"
io.kompose.service: nextcloud-aio-redis
spec:
initContainers:
@@ -44,7 +43,7 @@ spec:
value: "{{ .Values.REDIS_PASSWORD }}"
- name: TZ
value: "{{ .Values.TIMEZONE }}"
image: "{{ .Values.IMAGE_MIRROR_PREFIX }}{{ .Values.NEXTCLOUD_IMAGE_ORG }}/aio-redis:20240502_104630-latest"
image: "{{ .Values.IMAGE_MIRROR_PREFIX }}{{ .Values.NEXTCLOUD_IMAGE_ORG }}/aio-redis:20240606_075829-latest"
name: nextcloud-aio-redis
ports:
- containerPort: 6379

View File

@@ -3,7 +3,7 @@ kind: Service
metadata:
annotations:
kompose.cmd: kompose convert -c -f latest.yml --namespace "{{ .Values.NAMESPACE }}"
kompose.version: 1.33.0 (3ce457399)
kompose.version: 1.34.0 (cbf2835db)
labels:
io.kompose.service: nextcloud-aio-redis
name: nextcloud-aio-redis

View File

@@ -4,7 +4,7 @@ kind: Deployment
metadata:
annotations:
kompose.cmd: kompose convert -c -f latest.yml --namespace "{{ .Values.NAMESPACE }}"
kompose.version: 1.33.0 (3ce457399)
kompose.version: 1.34.0 (cbf2835db)
labels:
io.kompose.service: nextcloud-aio-talk
name: nextcloud-aio-talk
@@ -18,9 +18,8 @@ spec:
metadata:
annotations:
kompose.cmd: kompose convert -c -f latest.yml --namespace "{{ .Values.NAMESPACE }}"
kompose.version: 1.33.0 (3ce457399)
kompose.version: 1.34.0 (cbf2835db)
labels:
io.kompose.network/nextcloud-aio: "true"
io.kompose.service: nextcloud-aio-talk
spec:
containers:
@@ -41,7 +40,7 @@ spec:
value: "{{ .Values.TURN_SECRET }}"
- name: TZ
value: "{{ .Values.TIMEZONE }}"
image: "{{ .Values.IMAGE_MIRROR_PREFIX }}{{ .Values.NEXTCLOUD_IMAGE_ORG }}/aio-talk:20240502_104630-latest"
image: "{{ .Values.IMAGE_MIRROR_PREFIX }}{{ .Values.NEXTCLOUD_IMAGE_ORG }}/aio-talk:20240606_075829-latest"
name: nextcloud-aio-talk
ports:
- containerPort: {{ .Values.TALK_PORT }}

View File

@@ -4,7 +4,7 @@ kind: Deployment
metadata:
annotations:
kompose.cmd: kompose convert -c -f latest.yml --namespace "{{ .Values.NAMESPACE }}"
kompose.version: 1.33.0 (3ce457399)
kompose.version: 1.34.0 (cbf2835db)
labels:
io.kompose.service: nextcloud-aio-talk-recording
name: nextcloud-aio-talk-recording
@@ -18,9 +18,8 @@ spec:
metadata:
annotations:
kompose.cmd: kompose convert -c -f latest.yml --namespace "{{ .Values.NAMESPACE }}"
kompose.version: 1.33.0 (3ce457399)
kompose.version: 1.34.0 (cbf2835db)
labels:
io.kompose.network/nextcloud-aio: "true"
io.kompose.service: nextcloud-aio-talk-recording
spec:
containers:
@@ -33,7 +32,7 @@ spec:
value: "{{ .Values.RECORDING_SECRET }}"
- name: TZ
value: "{{ .Values.TIMEZONE }}"
image: "{{ .Values.IMAGE_MIRROR_PREFIX }}{{ .Values.NEXTCLOUD_IMAGE_ORG }}/aio-talk-recording:20240502_104630-latest"
image: "{{ .Values.IMAGE_MIRROR_PREFIX }}{{ .Values.NEXTCLOUD_IMAGE_ORG }}/aio-talk-recording:20240606_075829-latest"
name: nextcloud-aio-talk-recording
ports:
- containerPort: 1234

View File

@@ -4,7 +4,7 @@ kind: Service
metadata:
annotations:
kompose.cmd: kompose convert -c -f latest.yml --namespace "{{ .Values.NAMESPACE }}"
kompose.version: 1.33.0 (3ce457399)
kompose.version: 1.34.0 (cbf2835db)
labels:
io.kompose.service: nextcloud-aio-talk-recording
name: nextcloud-aio-talk-recording

View File

@@ -5,7 +5,7 @@ kind: Service
metadata:
annotations:
kompose.cmd: kompose convert -c -f latest.yml --namespace "{{ .Values.NAMESPACE }}"
kompose.version: 1.33.0 (3ce457399)
kompose.version: 1.34.0 (cbf2835db)
labels:
io.kompose.service: nextcloud-aio-talk
name: nextcloud-aio-talk-public
@@ -30,7 +30,7 @@ kind: Service
metadata:
annotations:
kompose.cmd: kompose convert -c -f latest.yml --namespace "{{ .Values.NAMESPACE }}"
kompose.version: 1.33.0 (3ce457399)
kompose.version: 1.34.0 (cbf2835db)
labels:
io.kompose.service: nextcloud-aio-talk
name: nextcloud-aio-talk

38
php/composer.lock generated
View File

@@ -830,16 +830,16 @@
},
{
"name": "psr/http-message",
"version": "1.1",
"version": "2.0",
"source": {
"type": "git",
"url": "https://github.com/php-fig/http-message.git",
"reference": "cb6ce4845ce34a8ad9e68117c10ee90a29919eba"
"reference": "402d35bcb92c70c026d1a6a9883f06b2ead23d71"
},
"dist": {
"type": "zip",
"url": "https://api.github.com/repos/php-fig/http-message/zipball/cb6ce4845ce34a8ad9e68117c10ee90a29919eba",
"reference": "cb6ce4845ce34a8ad9e68117c10ee90a29919eba",
"url": "https://api.github.com/repos/php-fig/http-message/zipball/402d35bcb92c70c026d1a6a9883f06b2ead23d71",
"reference": "402d35bcb92c70c026d1a6a9883f06b2ead23d71",
"shasum": ""
},
"require": {
@@ -848,7 +848,7 @@
"type": "library",
"extra": {
"branch-alias": {
"dev-master": "1.1.x-dev"
"dev-master": "2.0.x-dev"
}
},
"autoload": {
@@ -863,7 +863,7 @@
"authors": [
{
"name": "PHP-FIG",
"homepage": "http://www.php-fig.org/"
"homepage": "https://www.php-fig.org/"
}
],
"description": "Common interface for HTTP messages",
@@ -877,9 +877,9 @@
"response"
],
"support": {
"source": "https://github.com/php-fig/http-message/tree/1.1"
"source": "https://github.com/php-fig/http-message/tree/2.0"
},
"time": "2023-04-04T09:50:52+00:00"
"time": "2023-04-04T09:54:51+00:00"
},
{
"name": "psr/http-server-handler",
@@ -1090,30 +1090,30 @@
},
{
"name": "slim/csrf",
"version": "1.4.0",
"version": "1.5.0",
"source": {
"type": "git",
"url": "https://github.com/slimphp/Slim-Csrf.git",
"reference": "f66be9740283ed4f432535aff3623540e178013a"
"reference": "179cbcf40ee1d246d4906aefed42d3e62066974b"
},
"dist": {
"type": "zip",
"url": "https://api.github.com/repos/slimphp/Slim-Csrf/zipball/f66be9740283ed4f432535aff3623540e178013a",
"reference": "f66be9740283ed4f432535aff3623540e178013a",
"url": "https://api.github.com/repos/slimphp/Slim-Csrf/zipball/179cbcf40ee1d246d4906aefed42d3e62066974b",
"reference": "179cbcf40ee1d246d4906aefed42d3e62066974b",
"shasum": ""
},
"require": {
"php": "^7.4 || ^8.0",
"psr/http-factory": "^1.0",
"psr/http-message": "^1.0",
"psr/http-factory": "^1.1",
"psr/http-message": "^1.0 || ^2.0",
"psr/http-server-handler": "^1.0",
"psr/http-server-middleware": "^1.0"
},
"require-dev": {
"phpspec/prophecy": "^1.18",
"phpspec/prophecy-phpunit": "^2.1",
"phpspec/prophecy": "^1.19",
"phpspec/prophecy-phpunit": "^2.2",
"phpunit/phpunit": "^9.6",
"squizlabs/php_codesniffer": "^3.8"
"squizlabs/php_codesniffer": "^3.10"
},
"type": "library",
"autoload": {
@@ -1142,9 +1142,9 @@
],
"support": {
"issues": "https://github.com/slimphp/Slim-Csrf/issues",
"source": "https://github.com/slimphp/Slim-Csrf/tree/1.4.0"
"source": "https://github.com/slimphp/Slim-Csrf/tree/1.5.0"
},
"time": "2024-01-22T09:08:27+00:00"
"time": "2024-06-08T16:37:18+00:00"
},
{
"name": "slim/slim",

View File

@@ -29,6 +29,7 @@
"environment": [
"NC_DOMAIN=%NC_DOMAIN%",
"NEXTCLOUD_HOST=nextcloud-aio-nextcloud",
"APACHE_HOST=nextcloud-aio-apache",
"COLLABORA_HOST=nextcloud-aio-collabora",
"TALK_HOST=nextcloud-aio-talk",
"APACHE_PORT=%APACHE_PORT%",
@@ -376,6 +377,7 @@
"internal_port": "%TALK_PORT%",
"environment": [
"NC_DOMAIN=%NC_DOMAIN%",
"TALK_HOST=nextcloud-aio-talk",
"TURN_SECRET=%TURN_SECRET%",
"SIGNALING_SECRET=%SIGNALING_SECRET%",
"TZ=%TIMEZONE%",

View File

@@ -44,7 +44,7 @@ class DockerActionManager
}
private function BuildApiUrl(string $url) : string {
return sprintf('http://localhost/%s/%s', self::API_VERSION, $url);
return sprintf('http://127.0.0.1/%s/%s', self::API_VERSION, $url);
}
private function BuildImageName(Container $container) : string {
@@ -223,12 +223,12 @@ class DockerActionManager
public function CreateContainer(Container $container) : void {
$volumes = [];
foreach ($container->GetVolumes()->GetVolumes() as $volume) {
// NEXTCLOUD_MOUNT gets added via bind-mount later on
if ($container->GetIdentifier() === 'nextcloud-aio-nextcloud') {
if ($volume->name === $this->configurationManager->GetNextcloudMount()) {
continue;
}
}
// // NEXTCLOUD_MOUNT gets added via bind-mount later on
// if ($container->GetIdentifier() === 'nextcloud-aio-nextcloud') {
// if ($volume->name === $this->configurationManager->GetNextcloudMount()) {
// continue;
// }
// }
$volumeEntry = $volume->name . ':' . $volume->mountPoint;
if ($volume->isWritable) {
@@ -560,14 +560,14 @@ class DockerActionManager
} elseif ($container->GetIdentifier() === 'nextcloud-aio-talk') {
// This is needed due to a bug in libwebsockets which cannot handle unlimited ulimits
$requestBody['HostConfig']['Ulimits'] = [["Name" => "nofile", "Hard" => 200000, "Soft" => 200000]];
// Special things for the nextcloud container which should not be exposed in the containers.json
} elseif ($container->GetIdentifier() === 'nextcloud-aio-nextcloud') {
foreach ($container->GetVolumes()->GetVolumes() as $volume) {
if ($volume->name !== $this->configurationManager->GetNextcloudMount()) {
continue;
}
$mounts[] = ["Type" => "bind", "Source" => $volume->name, "Target" => $volume->mountPoint, "ReadOnly" => !$volume->isWritable, "BindOptions" => [ "Propagation" => "rshared"]];
}
// // Special things for the nextcloud container which should not be exposed in the containers.json
// } elseif ($container->GetIdentifier() === 'nextcloud-aio-nextcloud') {
// foreach ($container->GetVolumes()->GetVolumes() as $volume) {
// if ($volume->name !== $this->configurationManager->GetNextcloudMount()) {
// continue;
// }
// $mounts[] = ["Type" => "bind", "Source" => $volume->name, "Target" => $volume->mountPoint, "ReadOnly" => !$volume->isWritable, "BindOptions" => [ "Propagation" => "rshared"]];
// }
// Special things for the caddy community container
} elseif ($container->GetIdentifier() === 'nextcloud-aio-caddy') {
$requestBody['HostConfig']['ExtraHosts'] = ['host.docker.internal:host-gateway'];

View File

@@ -16,7 +16,7 @@
</header>
<div class="content">
<h1>Nextcloud AIO v8.3.0</h1>
<h1>Nextcloud AIO v9.0.1</h1>
{# Add 2nd tab warning #}
<script type="text/javascript" src="second-tab-warning.js"></script>
@@ -31,7 +31,7 @@
{% set isBackupOrRestoreRunning = false %}
{% set isApacheStarting = false %}
{# Setting newMajorVersion to '' will hide corresponding options/elements, can be set to an integer like 26 in order to show corresponding elements. If set, also increase installLatestMajor in https://github.com/nextcloud/all-in-one/blob/main/php/src/Controller/DockerController.php #}
{% set newMajorVersion = 29 %}
{% set newMajorVersion = '' %}
{% if is_backup_container_running == true %}
{% if borg_backup_mode == 'backup' or borg_backup_mode == 'restore' %}
@@ -70,7 +70,8 @@
{% elseif automatic_updates == true %}
The whole process can take a while as your containers will be updated.<br /><br />
{% endif %}
<a href="" class="button reload">Reload ↻</a><br/>
<a href="" class="button reload">Reload ↻</a><br/><br/>
If the daily bacckup should be stuck somehow, you can make it unstuck by running <strong>sudo docker exec nextcloud-aio-mastercontainer rm /mnt/docker-aio-config/data/daily_backup_running</strong> and afterwards reloading this interface.<br /><br />
{% elseif isWatchtowerRunning == true %}
<span class="status running"></span> Mastercontainer update currently running. Once the update is complete the mastercontainer will restart, making it unavailable for a moment. Please wait until it's done. (<a href="/api/docker/logs?id=nextcloud-aio-watchtower" target="_blank" rel="noopener">Logs</a>)<br /><br />
<a href="" class="button reload">Reload ↻</a><br/>

View File

@@ -310,10 +310,13 @@ You can switch to a different channel like e.g. the beta channel or from the bet
### How to update the containers?
If we push new containers to `latest`, you will see in the AIO interface below the `containers` section that new container updates were found. In this case, just press `Stop containers` and `Start and update containers` in order to update the containers. The mastercontainer has its own update procedure though. See below. And don't forget to back up the current state of your instance using the built-in backup solution before starting the containers again! Otherwise you won't be able to restore your instance easily if something should break during the update.
If a new `Mastercontainer` update was found, you'll see an additional section below the `containers` section which shows that a mastercontainer update is available. If so, you can simply press on the button to update the container.
If a new `mastercontainer` update was found, you'll see a note below the `Stop containers` button that allows to show the changelog. If you click that button and the containers are stopped, you will see a new button that allows to update the mastercontainer. After doing so and after the update is gone through, you will have the option again to `Start and update containers`. It is recommended to create a backup before clicking the `Start and update containers` button.
Additionally, there is a cronjob that runs once a day that checks for container and mastercontainer updates and sends a notification to all Nextcloud admins if a new update was found.
#### How often are update notifications sent?
AIO ships its own update notifications implementation. It checks if container updates are available. If so, it sends a notification with the title `Container updates available!` on saturdays to Nextcloud users that are part of the `admin` group. If the Nextcloud container image should be older than 90 days (~3 months) and thus badly outdated, AIO sends a notification to all Nextcloud users with the title `AIO is outdated!`. Thus admins should make sure to update the container images at least once every 3 months in order to make sure that the instance gets all security bugfixes as soon as possible.
### How to easily log in to the AIO interface?
If your Nextcloud is running and you are logged in as admin in your Nextcloud, you can easily log in to the AIO interface by opening `https://yourdomain.tld/settings/admin/overview` which will show a button on top that enables you to log in to the AIO interface by just clicking on this button. **Note:** You can change the domain/ip-address/port of the button by simply stopping the containers, visiting the AIO interface from the correct and desired domain/ip-address/port and clicking once on `Start containers`.
@@ -372,9 +375,9 @@ If you connect an external drive to your host, and choose the backup directory t
Backups can be created and restored in the AIO interface using the buttons `Create Backup` and `Restore selected backup`. Additionally, a backup check is provided that checks the integrity of your backups but it shouldn't be needed in most situations.
The backups itself get encrypted with an encryption key that gets shown to you in the AIO interface. Please save that at a safe place as you will not be able to restore from backup without this key.
The backups themselves get encrypted with an encryption key that gets shown to you in the AIO interface. Please save that at a safe place as you will not be able to restore from backup without this key.
Daily backups can get enabled after the initial backup is done. Enabling this also allows to enable an option that allows to update all containers, Nextcloud and its apps automatically.
Daily backups can get enabled after the initial backup is done. Enabling this also allows to enable an option that allows to automatically update all containers, Nextcloud and its apps.
Be aware that this solution does not back up files and folders that are mounted into Nextcloud using the external storage app - but you can add further Docker volumes and host paths that you want to back up after the initial backup is done.